import { CommandPayloadMap } from '../types';
import { Doc } from '../../view/Doc';
import { CommandBase } from '../base/CommandBase';
/**
 * 快照指令
 *
 * 用于保存快照，支持撤销/重做
 */
export declare class Snapshot extends CommandBase<'snapshot'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['snapshot']);
    protected execute(): Promise<null>;
}
